io.vertx.rxjava.amqpbridge

## Class AmqpBridge

- java.lang.Object
- - io.vertx.rxjava.amqpbridge.AmqpBridge

-     public class AmqpBridge
      extends Object

  Vert.x AMQP Bridge. Facilitates sending and receiving AMQP 1.0 messages.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AmqpBridge>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpBridge(AmqpBridge delegate)`
    `AmqpBridge(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(Handler<AsyncResult<Void>> resultHandler)` Shuts the bridge down, closing the underlying connection.
    `Observable<Void>` | `closeObservable()` Deprecated. use `rxClose()` instead
    `static AmqpBridge` | `create(Vertx vertx)` Creates a Bridge.
    `static AmqpBridge` | `create(Vertx vertx, AmqpBridgeOptions options)` Creates a Bridge with the given options.
    `<T> MessageConsumer<T>` | `createConsumer(String amqpAddress)` Creates a consumer on the given AMQP address.
    `<T> MessageProducer<T>` | `createProducer(String amqpAddress)` Creates a producer to the given AMQP address.
    `void` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `boolean` | `equals(Object o)`
    `AmqpBridge` | `getDelegate()`
    `int` | `hashCode()`
    `static AmqpBridge` | `newInstance(AmqpBridge arg)`
    `Single<Void>` | `rxClose()` Shuts the bridge down, closing the underlying connection.
    `Single<AmqpBridge>` | `rxStart(String hostname, int port)` Starts the bridge, establishing the underlying connection.
    `Single<AmqpBridge>` | `rxStart(String hostname, int port, String username, String password)` Starts the bridge, establishing the underlying connection.
    `void` | `start(String hostname, int port, Handler<AsyncResult<AmqpBridge>> resultHandler)` Starts the bridge, establishing the underlying connection.
    `void` | `start(String hostname, int port, String username, String password, Handler<AsyncResult<AmqpBridge>> resultHandler)` Starts the bridge, establishing the underlying connection.
    `Observable<AmqpBridge>` | `startObservable(String hostname, int port)` Deprecated. use `rxStart(java.lang.String, int, java.lang.String, java.lang.String)` instead
    `Observable<AmqpBridge>` | `startObservable(String hostname, int port, String username, String password)` Deprecated. use `rxStart(java.lang.String, int, java.lang.String, java.lang.String)` instead
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AmqpBridge> __TYPE_ARG

  - ### Constructor Detail

    - #### AmqpBridge

          public AmqpBridge(AmqpBridge delegate)

    - #### AmqpBridge

          public AmqpBridge(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AmqpBridge getDelegate()

    - #### create

          public static AmqpBridge create(Vertx vertx)

      Creates a Bridge.
      Parameters:
        `vertx` - the vertx instance to use
      Returns:
        the (not-yet-started) bridge.

    - #### create

          public static AmqpBridge create(Vertx vertx,
                                          AmqpBridgeOptions options)

      Creates a Bridge with the given options.
      Parameters:
        `vertx` - the vertx instance to use
        `options` - the options
      Returns:
        the (not-yet-started) bridge.

    - #### start

          public void start(String hostname,
                            int port,
                            String username,
                            String password,
                            Handler<AsyncResult<AmqpBridge>> resultHandler)

      Starts the bridge, establishing the underlying connection.
      Parameters:
        `hostname` - the host name to connect to
        `port` - the port to connect to
        `username` - the username
        `password` - the password
        `resultHandler` - the result handler

    - #### startObservable

          @Deprecated
          public Observable<AmqpBridge> startObservable(String hostname,
                                                                    int port,
                                                                    String username,
                                                                    String password)

      Deprecated. use `rxStart(java.lang.String, int, java.lang.String, java.lang.String)` instead
      Starts the bridge, establishing the underlying connection.
      Parameters:
        `hostname` - the host name to connect to
        `port` - the port to connect to
        `username` - the username
        `password` - the password
      Returns:

    - #### rxStart

          public Single<AmqpBridge> rxStart(String hostname,
                                            int port,
                                            String username,
                                            String password)

      Starts the bridge, establishing the underlying connection.
      Parameters:
        `hostname` - the host name to connect to
        `port` - the port to connect to
        `username` - the username
        `password` - the password
      Returns:

    - #### start

          public void start(String hostname,
                            int port,
                            Handler<AsyncResult<AmqpBridge>> resultHandler)

      Starts the bridge, establishing the underlying connection.
      Parameters:
        `hostname` - the host name to connect to
        `port` - the port to connect to
        `resultHandler` - the result handler

    - #### startObservable

          @Deprecated
          public Observable<AmqpBridge> startObservable(String hostname,
                                                                    int port)

      Deprecated. use `rxStart(java.lang.String, int, java.lang.String, java.lang.String)` instead
      Starts the bridge, establishing the underlying connection.
      Parameters:
        `hostname` - the host name to connect to
        `port` - the port to connect to
      Returns:

    - #### rxStart

          public Single<AmqpBridge> rxStart(String hostname,
                                            int port)

      Starts the bridge, establishing the underlying connection.
      Parameters:
        `hostname` - the host name to connect to
        `port` - the port to connect to
      Returns:

    - #### createConsumer

          public <T> MessageConsumer<T> createConsumer(String amqpAddress)

      Creates a consumer on the given AMQP address. This method MUST be called from the bridge Context thread, as used in the result handler callback from the start methods. The bridge MUST be successfully started before the method is called.
      Parameters:
        `amqpAddress` - the address to consume from
      Returns:
        the consumer

    - #### createProducer

          public <T> MessageProducer<T> createProducer(String amqpAddress)

      Creates a producer to the given AMQP address. This method MUST be called from the bridge Context thread, as used in the result handler callback from the start methods. The bridge MUST be successfully started before the method is called.
      Parameters:
        `amqpAddress` - the address to produce to
      Returns:
        the producer

    - #### close

          public void close(Handler<AsyncResult<Void>> resultHandler)

      Shuts the bridge down, closing the underlying connection.
      Parameters:
        `resultHandler` - the result handler

    - #### closeObservable

          @Deprecated
          public Observable<Void> closeObservable()

      Deprecated. use `rxClose()` instead
      Shuts the bridge down, closing the underlying connection.
      Returns:

    - #### rxClose

          public Single<Void> rxClose()

      Shuts the bridge down, closing the underlying connection.
      Returns:

    - #### endHandler

          public void endHandler(Handler<Void> endHandler)

      Set an end handler. This will fire if the underlying connection is unexpectedly disconnected or remotely closed.
      Parameters:
        `endHandler` - the handler

    - #### newInstance

          public static AmqpBridge newInstance(AmqpBridge arg)

Copyright © 2020 Eclipse. All rights reserved.